Package com.verisign.epp.serverstub.v1_0

## Class MaintenanceHandler

- java.lang.Object
- - com.verisign.epp.framework.v1_0.EPPMaintenanceHandler
  - - com.verisign.epp.serverstub.v1_0.MaintenanceHandler

- All Implemented Interfaces:
    `EPPEventHandler`

      public class MaintenanceHandler
      extends EPPMaintenanceHandler

  The `MaintenanceHandler` class extends `EPPMaintenanceHandler` to include handling the Maintenance Mapping commands.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MaintenanceHandler()` | Constructs an instance of IdnMapDomainHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected EPPEventResponse` | `doMaintenanceInfo​(EPPEvent aEvent, java.lang.Object aData)` | Override base handler `doMaintenanceInfo` method and add handling of the Maintenance Info Command.
    `protected void` | `preHandleEvent​(EPPEvent aEvent, java.lang.Object aData)` | Do any pre-handling of commands.

    - ### Methods inherited from class com.verisign.epp.framework.v1_0.EPPMaintenanceHandler

      `getNamespace, handleEvent, postHandleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MaintenanceHandler

          public MaintenanceHandler()

      Constructs an instance of IdnMapDomainHandler

  - ### Method Detail

    - #### preHandleEvent

          protected void preHandleEvent​(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Do any pre-handling of commands.
      Overrides:
        `preHandleEvent` in class `EPPMaintenanceHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `MaintenanceHandler` This is assumed to be an instance of SessionData here.
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### doMaintenanceInfo

          protected EPPEventResponse doMaintenanceInfo​(EPPEvent aEvent,
                                                       java.lang.Object aData)

      Override base handler `doMaintenanceInfo` method and add handling of the Maintenance Info Command.
      Specified by:
        `doMaintenanceInfo` in class `EPPMaintenanceHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `MaintenanceHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.